sensorfw: SensorManagerInterface Class Reference

sensorfw

Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | Static Protected Attributes | List of all members
SensorManagerInterface Class Reference

`#include <sensormanagerinterface.h>`

Inheritance diagram for SensorManagerInterface:

## Public Member Functions
template<class SensorInterfaceType >
void | registerSensorInterface (const QString &sensorName)
AbstractSensorChannelInterface * | interface (const QString &id)
bool | releaseInterface (const QString &id, int sessionId)
bool | registeredAndCorrectClassName (const QString &id, const QString &className) const
Public Member Functions inherited from LocalSensorManagerInterface
virtual | ~LocalSensorManagerInterface ()
| Destructor.
SensorManagerError | errorCode ()
| Get error code of occured remote error.
QString | errorString ()
| Get error description of occured remote error.

## Static Public Member Functions
static SensorManagerInterface & | instance ()

## Protected Member Functions
| SensorManagerInterface ()
virtual | ~SensorManagerInterface ()
Protected Member Functions inherited from LocalSensorManagerInterface
| LocalSensorManagerInterface (const QString &service, const QString &path, const QDBusConnection &connection, QObject *parent=0)
| Constructor.

## Protected Attributes
QMap< QString, SensorInterfaceEntry > | sensorInterfaceMap_

## Static Protected Attributes
static SensorManagerInterface * | ifc_
static QMutex | mutex_

## Additional Inherited Members
Public Slots inherited from LocalSensorManagerInterface
QDBusReply< bool > | loadPlugin (const QString &name)
| Request sensor daemon to load plugin.
QDBusReply< int > | requestSensor (const QString &id)
| Request sensor deamon to start new session for sensor.
QDBusReply< bool > | releaseSensor (const QString &id, int sessionId)
| Request sensor deamon to release existing session.
Signals inherited from LocalSensorManagerInterface
void | errorSignal (int error)
| Signal about occured errors.
void | loadPluginFinished ()
void | requestSensorFinished ()
void | releaseSensorFinished ()
Static Public Attributes inherited from LocalSensorManagerInterface
static const char * | staticInterfaceName
| Get name of the D-Bus interface for this class.
Protected Slots inherited from LocalSensorManagerInterface
void | loadPluginFinished (QDBusPendingCallWatcher *watch)
void | requestSensorFinished (QDBusPendingCallWatcher *watch)
void | releaseSensorFinished (QDBusPendingCallWatcher *watch)
Properties inherited from LocalSensorManagerInterface
SensorManagerError | errorCode
QString | errorString
int | errorCodeInt

## Detailed Description

Definition at line 43 of file sensormanagerinterface.h.

## Constructor & Destructor Documentation

## ◆ SensorManagerInterface()

SensorManagerInterface::SensorManagerInterface | ( |  | ) |
| protected

## ◆ ~SensorManagerInterface()

virtual SensorManagerInterface::~SensorManagerInterface | ( |  | ) |
| inlineprotectedvirtual

Definition at line 60 of file sensormanagerinterface.h.

## Member Function Documentation

## ◆ instance()

static SensorManagerInterface & SensorManagerInterface::instance | ( |  | ) |
| static

## ◆ interface()

AbstractSensorChannelInterface * SensorManagerInterface::interface | ( | const QString & | id | ) |

## ◆ registeredAndCorrectClassName()

bool SensorManagerInterface::registeredAndCorrectClassName | ( | const QString & | id,
|  | const QString & | className ) const

## ◆ registerSensorInterface()

template<class SensorInterfaceType >

void SensorManagerInterface::registerSensorInterface | ( | const QString & | sensorName | ) |

Definition at line 69 of file sensormanagerinterface.h.

## ◆ releaseInterface()

bool SensorManagerInterface::releaseInterface | ( | const QString & | id,
|  | int | sessionId )

## Member Data Documentation

## ◆ ifc_

SensorManagerInterface* SensorManagerInterface::ifc_
| staticprotected

Definition at line 64 of file sensormanagerinterface.h.

## ◆ mutex_

QMutex SensorManagerInterface::mutex_
| staticprotected

Definition at line 65 of file sensormanagerinterface.h.

## ◆ sensorInterfaceMap_

QMap<QString, SensorInterfaceEntry> SensorManagerInterface::sensorInterfaceMap_
| protected

Definition at line 62 of file sensormanagerinterface.h.

The documentation for this class was generated from the following file:

- qt-api/sensormanagerinterface.h